%define po_package gnome-menus
%define enable_debugging 0

%define python python2
%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

Summary:  A menu system for the GNOME project
Name: gnome-menus
Version: 2.16.0
Release: 2.1AX
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-abi = %{pyver}
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: %{python}-devel >= 2.3.0
BuildRequires: gamin-devel
BuildRequires: perl-XML-Parser
BuildRequires: gettext
BuildRequires: pkgconfig

%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files, 
.directory files and assorted menu related utility programs,
Python bindings, and a simple menu editor.

%package devel
Summary: Libraries and include files for the GNOME menu system
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires: glib2-devel >= 2.6.0
Requires: %{python}-devel >= 2.3.0
Requires: gamin-devel
Requires: pkgconfig

%description devel
This package provides the necessary development libraries for 
writing applications that use the GNOME menu system.

%prep
%setup -q

%build
%configure \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
rm -rf $RPM_BUILD_ROOT%{_datadir}/desktop-directories/Desktop.directory

# We use alacarte now
rm -rf $RPM_BUILD_ROOT%{_bindir}/gmenu-simple-editor

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang

%defattr(-,root,root,-)
%doc
%{_libdir}/libgnome-menu.so.*
%{_libdir}/python*/site-packages/gmenu.so
%{_libdir}/python*/site-packages/GMenuSimpleEditor/*
%{_datadir}/gnome-menus/glade/gmenu-simple-editor.glade
%{_datadir}/applications/gmenu-simple-editor.desktop
%{_datadir}/desktop-directories

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gnome-menus
%{_bindir}/gnome-menu-spec-test

%changelog
* Thu Sep 13 2007 Hua Jie <jiehua@redflag-linux.com> - 2.16.0-2.1AX
- remove redhat-menu from the requirement list

* Tue Sep  5 2006 Ray Strode <rstrode@redhat.com> - 2.16.0-2.fc6
- Remove menu editor (bug 205210)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-2.fc6
- Add Requires to the -devel package

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-1.fc6
- Update to 2.15.91

* Thu Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4.1-1
- Update to 2.15.4.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.0-4.1
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-4
- More missing BuildRequires

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-3
- Add a BuildRequires for perl-XML-Parser

* Mon Apr 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-2
- Update to 2.14.0
- Drop upstreamed patch

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb  6 2006 Ray Strode <rstrode@redhat.com> 2.13.5-5
- break infinite loop 

* Wed Feb  1 2006 Ray Strode <rstrode@redhat.com> 2.13.5-4
- don't ship upstream Desktop.directory files

* Fri Jan 27 2006 Ray Strode <rstrode@redhat.com> 2.13.5-3
- ship upstream .directory files

* Thu Jan 19 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-2
- Add a BuildRequires for gamin

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-1
- Update to 2.13.5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Sep  6 2005 Mark McLoughlin <markmc@redhat.com> 2.12.0-1
- Update to 2.12.0

* Mon Aug 22 2005 Mark McLoughlin <markmc@redhat.com> 2.11.92-1
- Update to 2.11.92

* Thu Aug 18 2005 Mark McLoughlin <markmc@redhat.com> 2.11.91-3
- Fix infinite loop in patch for gnome #313624

* Thu Aug 18 2005 Mark McLoughlin <markmc@redhat.com> 2.11.91-2
- Add patch to fix "duplicate entries after upgrade" issue (gnome #313624)

* Tue Aug 16 2005 Mark McLoughlin <markmc@redhat.com> 2.11.91-1
- Update to 2.11.91
- Backport patch from HEAD to hopefully fix crasher (rh #165977)

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 2.11.90-1
- Update to upstream version 2.11.90

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1.1-2
- Undo the split into tiny subpackages, instead move
  the Python bindings and the editor into the main package.
- Fix dependencies

* Fri Jul  8 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1.1-1
- Update to 2.11.1.1
- Split off subpackages for python bindings and editor

* Fri Apr 22 2005 Matthias Clasen <mclasen@redhat.com> 2.10.1-3
- Call ldconfig in %%post (#155734)
- Add some BuildRequires

* Wed Apr  6 2005 Mark McLoughlin <markmc@redhat.com> 2.10.1-2
- Backport patch from CVS to fix large memory leak on re-loading
  the menus (gnome #172472)

* Wed Mar 23 2005 Mark McLoughlin <markmc@redhat.com> 2.10.1-1
- Update to 2.10.1

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Fri Mar  4 2005 Jeremy Katz <katzj@redhat.com> - 2.9.90-4
- fix 64bit pointer problem that caused the panel to crash

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.90-3
- Turn off debugging by default
- Rebuild with gcc4

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-2
- Don't include .directory and .menu files,
  we want those from redhat-menus

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Initial build.

